<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
ini_set('memory_limit', '-1');
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
class ReporteIngresosT extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->model('reportes/Franquiciatario/ReporteIngresosT_Model');
		$this->load->library(array('session','form_validation'));
		$this->load->helper('url'); 
	}

	public function index()
	{ 
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
			$this->load->view('layout/headerFran');
			$this->load->view('layout/menuFranquicia');
			$this->load->view('reportes/Franquiciatario/ReportesIngresosDesglosado_view');	
			$this->load->view('layout/footer');
		}

	}

	public function reporteIngresos(){
		$inicio = date("Y-m-d", strtotime($_POST['finicio']));
		$fin = date("Y-m-d", strtotime($_POST['ffin']));
		$data = [];

		$query= $this->ReporteIngresosT_Model->reportePagosServicios($inicio,$fin);
		$vacio= "";
		$nombre = "SERVICIO";
		if(count($query['F1']->result()) != null ){
			foreach($query['F1']->result() as $pago) {
				if ($pago->CTarjeta1 >=0){
					if($pago->TipoTarjeta1 == 1){
						$tipo1 = "TARJETA DE CREDITO";
						}
						else if($pago->TipoTarjeta1 == 2){
							$tipo1= "TARJETA DE DEBITO";
						}
						else {
							$tipo1=$pago->TipoTarjeta1;
						}
					}else {
						$tipo1 = "";
						}
				if ($pago->CTarjeta1A >=0){
					if($pago->TipoTarjeta1A == 1){
							$tipo2 = "TARJETA DE CREDITO";
						}
						else if($pago->TipoTarjeta1A == 2){
							$tipo2 = "TARJETA DE DEBITO";
						}
						else {
						$tipo2=$pago->TipoTarjeta1A;
						}
					}else {
						$tipo2 = "";
						}
				$data[] = array(
					$pago->folio,
					$pago->FolioVenta1,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->SesionesS,
					date("d-m-Y", strtotime($pago->Fecha1)),
					$pago->VendedorUsuario,
					$pago->Usuario1,
					$pago->Comentario,
					$pago->Contado1,
					$pago->CTarjeta1,
					$tipo1,
					$pago->CTarjeta1A,
					$tipo2,
					$nombre,
				);
			}	
		}

		if(count($query['F2']->result()) != null ){
			foreach($query['F2']->result() as $pago) {
				$data[] = array(
					$pago->folio2,
					$pago->FolioVenta2,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->SesionesS,
					date("d-m-Y", strtotime($pago->Fecha2)),
					$pago->VendedorUsuario,
					$pago->Usuario2,
					$pago->Comentario,
					$pago->Contado2,
					$pago->CTarjeta2,
					$pago->TipoTarjeta2,
					$vacio,
					$vacio,
					$nombre,
				);
			}	
		}


		if(count($query['F3']->result()) != null ){
			foreach($query['F3']->result() as $pago) {
				$data[] = array(
					$pago->folio3,
					$pago->FolioVenta3,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->SesionesS,
					date("d-m-Y", strtotime($pago->Fecha3)),
					$pago->VendedorUsuario,
					$pago->Usuario3,
					$pago->Comentario,
					$pago->Contado3,
					$pago->CTarjeta3,
					$pago->TipoTarjeta3,
					$vacio,
					$vacio,
					$nombre,
				);
			}
		}


		if(count($query['F4']->result()) != null ){
			foreach($query['F4']->result() as $pago) {
				$data[] = array(
					$pago->folio4,
					$pago->FolioVenta4,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->SesionesS,
					date("d-m-Y", strtotime($pago->Fecha4)),
					$pago->VendedorUsuario,
					$pago->Usuario4,
					$pago->Comentario,
					$pago->Contado4,
					$pago->CTarjeta4,
					$pago->TipoTarjeta4,
					$vacio,
					$vacio,
					$nombre,
				);
			}
		}
		if(count($query['F1G']->result()) != null ){
			foreach($query['F1G']->result() as $pago) {
				if ($pago->CTarjeta1 >=0){
					if($pago->TipoTarjeta1 == 1){
						$tipo1 = "TARJETA DE CREDITO";
						}
						else if($pago->TipoTarjeta1 == 2){
							$tipo1= "TARJETA DE DEBITO";
						}
						else {
							$tipo1=$pago->TipoTarjeta1;
						}
					}else {
						$tipo1 = "";
						}
				if ($pago->CTarjeta1A >=0){
					if($pago->TipoTarjeta1A == 1){
							$tipo2 = "TARJETA DE CREDITO";
						}
						else if($pago->TipoTarjeta1A == 2){
							$tipo2 = "TARJETA DE DEBITO";
						}
						else {
						$tipo2=$pago->TipoTarjeta1A;
						}
					}else {
						$tipo2 = "";
						}
				$data[] = array(
					$pago->folio,
					$pago->FolioVenta1,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->SesionesS,
					date("d-m-Y", strtotime($pago->Fecha1)),
					$pago->VendedorUsuario,
					$pago->Usuario1,
					$pago->Comentario,
					$pago->Contado1,
					$pago->CTarjeta1,
					$tipo1,
					$pago->CTarjeta1A,
					$tipo2,
					$nombre,


				);
			}	
		}
		if(count($query['F2G']->result()) != null ){
			foreach($query['F2G']->result() as $pago) {
				$data[] = array(
					$pago->folio2,
					$pago->FolioVenta2,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->SesionesS,
					date("d-m-Y", strtotime($pago->Fecha2)),
					$pago->VendedorUsuario,
					$pago->Usuario2,
					$pago->Comentario,
					$pago->Contado2,
					$pago->CTarjeta2,
					$pago->TipoTarjeta2,
					$vacio,
					$vacio,
					$nombre,
				);
			}	
		}
		if(count($query['F3G']->result()) != null ){
			foreach($query['F3G']->result() as $pago) {
				$data[] = array(
					$pago->folio3,
					$pago->FolioVenta3,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->SesionesS,
					date("d-m-Y", strtotime($pago->Fecha3)),
					$pago->VendedorUsuario,
					$pago->Usuario3,
					$pago->Comentario,
					$pago->Contado3,
					$pago->CTarjeta3,
					$pago->TipoTarjeta3,
					$vacio,
					$vacio,
					$nombre,
				);
			}	
		}
		if(count($query['F4G']->result()) != null ){
			foreach($query['F4G']->result() as $pago) {
				$data[] = array(
					$pago->folio4,
					$pago->FolioVenta4,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreServicio,
					$pago->SesionesS,
					date("d-m-Y", strtotime($pago->Fecha4)),
					$pago->VendedorUsuario,
					$pago->Usuario4,
					$pago->Comentario,
					$pago->Contado4,
					$pago->CTarjeta4,
					$pago->TipoTarjeta4,
					$vacio,
					$vacio,
					$nombre,
				);
			}	
		}
		$query2= $this->ReporteIngresosT_Model->reportePagosPromociones($inicio,$fin);
		$vacio = "";
		$nombre = "PROMOCIÓN-SERVICIO";
		if(count($query2['F1']->result()) != null ){
			foreach($query2['F1']->result() as $pago) {
				if ($pago->CTarjeta1 >=0){
					if($pago->TipoTarjeta1 == 1){
						$tipo1 = "TARJETA DE CREDITO";
						}
						else if($pago->TipoTarjeta1 == 2){
							$tipo1= "TARJETA DE DEBITO";
						}
						else {
							$tipo1=$pago->TipoTarjeta1;
						}
					}else {
						$tipo1 = "";
						}
				if ($pago->CTarjeta1A >=0){
					if($pago->TipoTarjeta1A == 1){
							$tipo2 = "TARJETA DE CREDITO";
						}
						else if($pago->TipoTarjeta1A == 2){
							$tipo2 = "TARJETA DE DEBITO";
						}
						else {
						$tipo2=$pago->TipoTarjeta1A;
						}
					}else {
						$tipo2 = "";
						}
				$data[] = array(
					$pago->folio,
					$pago->FolioVenta1,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombrePromocion,
					$pago->SesionesPr,
					date("d-m-Y", strtotime($pago->Fecha1)),
					$pago->VendedorUsuario,
					$pago->Usuario1,
					$pago->Comentario,
					$pago->Contado1,
					$pago->CTarjeta1,
					$tipo1,
					$pago->CTarjeta1A,
					$tipo2,
					$nombre,
				);
			}	
		}


		if(count($query2['F2']->result()) != null ){
			foreach($query2['F2']->result() as $pago) {
				$data[] = array(
					$pago->folio2,
					$pago->FolioVenta2,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombrePromocion,
					$pago->SesionesPr,
					date("d-m-Y", strtotime($pago->Fecha2)),
					$pago->VendedorUsuario,
					$pago->Usuario2,
					$pago->Comentario,
					$pago->Contado2,
					$pago->CTarjeta2,
					$pago->TipoTarjeta2,
					$vacio,
					$vacio,
					$nombre,
				);
			}	
		}


		if(count($query2['F3']->result()) != null ){
			foreach($query2['F3']->result() as $pago) {
				$data[] = array(
					$pago->folio3,
					$pago->FolioVenta3,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombrePromocion,
					$pago->SesionesPr,
					date("d-m-Y", strtotime($pago->Fecha3)),
					$pago->VendedorUsuario,
					$pago->Usuario3,
					$pago->Comentario,
					$pago->Contado3,
					$pago->CTarjeta3,
					$pago->TipoTarjeta3,
					$vacio,
					$vacio,
					$nombre,
				);
			}
		}


		if(count($query2['F4']->result()) != null ){
			foreach($query2['F4']->result() as $pago) {
				$data[] = array(
					$pago->folio4,
					$pago->FolioVenta4,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombrePromocion,
					$pago->SesionesPr,
					date("d-m-Y", strtotime($pago->Fecha4)),
					$pago->VendedorUsuario,
					$pago->Usuario4,
					$pago->Comentario,
					$pago->Contado4,
					$pago->CTarjeta4,
					$pago->TipoTarjeta4,
					$vacio,
					$vacio,
					$nombre
				);
			}
		}
		$query3= $this->ReporteIngresosT_Model->reportePagosProductos($inicio,$fin);
		$vacio = "";
		$nombre = "PRODUCTO";

		if(count($query3['F1']->result()) != null ){
			foreach($query3['F1']->result() as $pago) {
				if ($pago->CTarjeta1 >=0){
					if($pago->TipoTarjeta1 == 1){
						$tipo1 = "TARJETA DE CREDITO";
						}
						else if($pago->TipoTarjeta1 == 2){
							$tipo1= "TARJETA DE DEBITO";
						}
						else {
							$tipo1=$pago->TipoTarjeta1;
						}
					}else {
						$tipo1 = "";
						}
				if ($pago->CTarjeta1A >=0){
					if($pago->TipoTarjeta1A == 1){
							$tipo2 = "TARJETA DE CREDITO";
						}
						else if($pago->TipoTarjeta1A == 2){
							$tipo2 = "TARJETA DE DEBITO";
						}
						else {
						$tipo2=$pago->TipoTarjeta1A;
						}
					}else {
						$tipo2 = "";
						}
				$data[] = array(
					$pago->folio,
					$pago->FolioVenta1,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreProducto,
					$pago->PiezasP,
					date("d-m-Y", strtotime($pago->Fecha1)),
					$pago->VendedorUsuario,
					$pago->Usuario1,
					$pago->Comentario,
					$pago->Contado1,
					$pago->CTarjeta1,
					$tipo1,
					$pago->CTarjeta1A,
					$tipo2,
					$nombre,
				);
			}	
		}

		if(count($query3['F2']->result()) != null ){
			foreach($query3['F2']->result() as $pago) {
				if ($pago->CTarjeta2 >=0){
					if($pago->TipoTarjeta2 == 1){
						$tipo = "TARJETA DE CREDITO";
						}
						else if($pago->TipoTarjeta2 == 2){
							$tipo= "TARJETA DE DEBITO";
						}
						else {
							$tipo=$pago->TipoTarjeta2;
						}
					}else {
						$tipo = "";
						}
		
				$data[] = array(
					$pago->folio2,
					$pago->FolioVenta2,
					date("d-m-Y", strtotime($pago->FechaVenta)),		
					$pago->ClienteVenta,
					$pago->NombreProducto,
					$pago->PiezasP,
					date("d-m-Y", strtotime($pago->Fecha2)),
					$pago->VendedorUsuario,
					$pago->Usuario2,
					$pago->Comentario,
					$pago->Contado2,
					$pago->CTarjeta2,
					$tipo,
					$vacio,
					$vacio,
					$nombre,
					//$pago->CTarjeta2,
					//$pago->TipoTarjeta2,
					
				);
			}	
		}
		echo json_encode($data);
		
	}
}
